//===--- TextDiagnostics.cpp - Text Diagnostics Parent Class --------------===//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//
//
// This is the parent class for all text diagnostics.
//
//===----------------------------------------------------------------------===//

#include "DiagnosticBuffer.h"
using namespace clang;

DiagnosticBuffer::DiagnosticBuffer() {
}

DiagnosticBuffer:: ~DiagnosticBuffer() {
}

/// HandleDiagnostic - Store the errors & warnings that are reported.
/// 
void DiagnosticBuffer::HandleDiagnostic(Diagnostic &Diags,
                                        Diagnostic::Level Level,
                                        FullSourceLoc Pos,
                                        diag::kind ID,
                                        const std::string *Strs,
                                        unsigned NumStrs,
                                        const SourceRange *,
                                        unsigned) {
/*
  void Report(FullSourceLoc Pos, unsigned DiagID,
              const std::string *Strs = 0, unsigned NumStrs = 0,
              const SourceRange *Ranges = 0, unsigned NumRanges = 0) {
*//*
  switch (Level) {
  default: assert(0 && "Diagnostic not handled during diagnostic buffering!");
  case Diagnostic::Warning:
    Warnings.push_back(std::make_pair(Pos.getLocation(),
                                      FormatDiagnostic(Diags, Level, ID, 
                                                       Strs, NumStrs)));
    break;
  case Diagnostic::Error:
    Errors.push_back(std::make_pair(Pos.getLocation(),
                                    FormatDiagnostic(Diags, Level, ID,
                                                     Strs, NumStrs)));
    break;
  }*/
}
